【预警通告】Ghostscript 多个-dSAFER 沙箱绕过漏洞

近日,Ghostscript被爆出包含多个-dSAFER沙箱绕过漏洞。-dSAFER是Ghostscript用于防止不安全PostScript操作的安全沙箱。此漏洞与2016年出现的沙箱绕过漏洞(CVE-2016-3714)类似,远程未经身份验证的攻击者可通过多种PostScript操作来绕过-dSAFER提供的保护,在易受攻击的系统上执行任意命令。ImageMagick等默认使用Ghostscript来处理PostScript内容的应用,将受到此漏洞影响。

受影响的版本

此漏洞影响所有使用 Ghostscript来处理PostScript内容的应用。截至此通告发布,已确认受影响情况的厂商如下:

厂商 受影响状态 通知日期 更新日期
Artifex Software, Inc. 受影响 未知 2018-08-21
ImageMagick 受影响 未知 2018-08-21
Red Hat, Inc. 受影响 2018-08-21 2018-08-21
Ubuntu 受影响 2018-08-21 2018-08-21
CoreOS 不受影响 2018-08-21 2018-08-21

其他厂商的受影响状况持续更新中,用户可通过关注

https://www.kb.cert.org/vuls/byvendor?searchview&Query=FIELD+Reference=332928&SearchOrder=4

及时查看受影响情况。

解决方案

由于目前官方尚未发布补丁,用户可通过禁用Policy.xml中的ps、EPS、pdf及XPS编码器来实现对此漏洞的有效防护。以ImageMagick为例,修改其policy配置文件,默认路径/etc/ImageMagick/policy.xml,添加如下代码至<policymap>部分:

<policymap>

<policy domain=”coder” rights=”none” pattern=”PS” />

<policy domain=”coder” rights=”none” pattern=”EPS” />

<policy domain=”coder” rights=”none” pattern=”PDF” />

<policy domain=”coder” rights=”none” pattern=”XPS” />

</policymap>

更多信息请参考:

https://www.kb.cert.org/vuls/id/332928

 

声明

本安全公告仅用来描述可能存在的安全问题,绿盟科技不为此安全公告提供任何保证或承诺。由于传播、利用此安全公告所提供的信息而造成的任何直接或者间接的后果及损失,均由使用者本人负责,绿盟科技以及安全公告作者不为此承担任何责任。绿盟科技拥有对此安全公告的修改和解释权。如欲转载或传播此安全公告,必须保证此安全公告的完整性,包括版权声明等全部内容。未经绿盟科技允许,不得任意修改或者增减此安全公告内容,不得以任何方式将其用于商业目的。

 

关于绿盟科技

北京神州绿盟信息安全科技股份有限公司(简称绿盟科技)成立于2000年4月,总部位于北京。在国内外设有30多个分支机构,为政府、运营商、金融、能源、互联网以及教育、医疗等行业用户,提供具有核心竞争力的安全产品及解决方案,帮助客户实现业务的安全顺畅运行。

基于多年的安全攻防研究,绿盟科技在网络及终端安全、互联网基础安全、合规及安全管理等领域,为客户提供入侵检测/防护、抗拒绝服务攻击、远程安全评估以及Web安全防护等产品以及专业安全服务。

北京神州绿盟信息安全科技股份有限公司于2014年1月29日起在深圳证券交易所创业板上市交易,股票简称:绿盟科技,股票代码:300369。

发表评论